# Type Alias ModuleConfigurationAction

type ModuleConfigurationAction = {
confirm?: ModuleConfigurationActionConfirmation;
href: string;
label: string;
type: ModuleConfigurationActionType;
}

- Defined in jamespot-user-api/src/types/module.ts:30

##### Index

### Properties

confirm?
href
label
type

## Properties

### `Optional` confirm

confirm?: ModuleConfigurationActionConfirmation

- Defined in jamespot-user-api/src/types/module.ts:32

### href

href: string

- Defined in jamespot-user-api/src/types/module.ts:33

### label

label: string

- Defined in jamespot-user-api/src/types/module.ts:34

### type

type: ModuleConfigurationActionType

- Defined in jamespot-user-api/src/types/module.ts:31